import http from "http";
import { SendOneTimeCodeEmailResponse } from "../package-shared/types";
type Param = {
    request?: http.IncomingMessage & {
        [s: string]: any;
    };
    cookieString?: string;
    email?: string;
};
/**
 * # Verify the temp email code sent to the user's email address
 */
export default function validateTempEmailCode({ request, email, cookieString, }: Param): Promise<SendOneTimeCodeEmailResponse | null>;
export {};
