import { GetReturn, ServerQueryParam } from "../package-shared/types";
export type ApiGetQueryObject = {
    query: ServerQueryParam;
    table: string;
    dbFullName?: string;
};
type Param = {
    key?: string;
    db?: string;
    query: string | ApiGetQueryObject;
    queryValues?: string[];
    tableName?: string;
    useLocal?: boolean;
    user_id?: string | number;
    debug?: boolean;
};
export type ApiGetParams = Param;
/**
 * # Make a get request to Datasquirel API
 */
export default function get({ key, db, query, queryValues, tableName, useLocal, user_id, debug, }: Param): Promise<GetReturn>;
export {};
